%readtuk1.m   3/12/2013
% 
% input *.dat raw RBR upload file
% output jday pressure temperature to tuk1.mat
%
% 
clear;clf
mooring='tuk1';depth=3;%m
instdepth=3;%m
latitude= 41+17.553/60;longitude=-70-14.989/60;
SN='16188';

% 	first remove / and : from the *.tid file with Perl fixseagauge.plx
%	perl fixseagauge.plx C:\Richard\Tuckernuck\Tides\Deploy1\tuk1.dat
    
    load tuk1.dat; z=tuk1; 
    jday=julian([z(:,1) z(:,2) z(:,3) z(:,4) z(:,5) z(:,6)]); %gmt**********
    pres=z(:,8);temp=z(:,7);deprbr=z(:,8); % 
    

% Remove data before and after the deployment
    st=julian([2013 3 11 11 20 00]); %gmt
    et=julian([2013 3 11 16 00 00]); %gmt
    n=find(jday<st | jday>et);jday(n)=[];
    pres(n)=[];temp(n)=[];deprbr(n)=[];
    pres=pres-10.413; % remove air pressure db
    

% Plot pressure
    [ax,h1,h2]=plotyy(jday-4,pres,jday-4,temp);
    h1=plot(jday,pres);%gmt
    h=title('Whale Cove Bottom Pressure');set(h,'fontsize',12)
    set(get(ax(1),'Ylabel'),'String','Pressure db','fontw','bold');
    grid;gregaxh(jday,1);figure(gcf);
    preslp=pl66tn(pres,1/600,.5);
    hold on;plot(jday,preslp,'c','linew',2)
    
    
%    save tuk1 mooring jday pres temp  ...
%		 depth instdepth latitude longitude SN %gmt
%    print -djpeg -r300 whalecovetide1
