%readtuk2.m   4/26/2013
% 
% input *.dat raw RBR upload file
% output jday pressure temperature to tuk2.mat
% *****************************************************
% ***************************************************** 
clear;clf
mooring='tuk2';depth=1;%m
instdepth=1;%m
latitude= 41+17.591/60;longitude=-70-15.016/60;
SN='16188';

%	first remove / and : from the *.tid file with Perl fixseagauge.plx
%	perl fixseagauge.plx 
    
    load tuk2.dat; z=tuk2; clear fixed
    jday=julian([z(:,1) z(:,2) z(:,3) z(:,4) z(:,5) z(:,6)]); %GMT
    pres=z(:,8);temp=z(:,7);deprbr=z(:,9);  
    

% Remove data before and after the deployment
    st=julian([2013 3 14 14 30 00]); %gmt
    et=julian([2013 4 26 19 32 00]); %gmt 
    n=find(jday<st | jday>et);jday(n)=[];
    pres(n)=[];temp(n)=[];deprbr(n)=[];
    pres=pres-10.413; % remove air pressure
    
% Plot pressure
    h1=plot(jday,pres);% time local, atm press removed
    h=title('Whale Cove Bottom Pressure');set(h,'fontsize',12)
    grid;gregaxd(jday,3);figure(gcf);
    preslp=pl66tn(pres,1/600,33);
    hold on;plot(jday,preslp,'r','linew',2)
    h1=ylabel('Pressur db');%set(h1,'fontw','bold','fonts',14)

%    save tuk2 mooring jday pres temp  ...
%		 depth instdepth latitude longitude SN % save jday gmt water pres variability
%    print -djpeg -r300 whalecovetide2
