%readtuk3.m   4/26/2013
% 
% input *.dat raw RBR upload file
% output jday pressure temperature to tuk3.mat
% *****************************************************
% *** PLOT IN LOCAL TIME *****one minute data************
% ***************************************************** 
clear;clf
mooring='tuk3';depth=3;%m
instdepth=3;%m
latitude= 41+17.553/60;longitude=-70-14.989/60;
SN='16188';

%	first remove / and : from the *.tid file with Perl fixseagauge.plx
%	perl fixseagauge.plx 
    
    load tuk3.dat; z=tuk3; clear fixed
    jday=julian([z(:,1) z(:,2) z(:,3) z(:,4) z(:,5) z(:,6)]);
    pres=z(:,8);temp=z(:,7);deprbr=z(:,9); % 
    

% Remove data before and after the deployment
    st=julian([2013 4 27 20 50 00]); 
    et=julian([2013 5 2 19 30 00]);  
    n=find(jday<st | jday>et);jday(n)=[];
    pres(n)=[];temp(n)=[];deprbr(n)=[];
    pres=pres-10.413; % remove air pressure
    
    

% Edit times when the surf moved the instrument
%pres=pres-mean(pres);
n=find (jday>julian ([2013 5 1  7+4 29 00]));pres(n,:)=pres(n,:)+.25;
n=find (jday>julian ([2013 5 1  7+4 30 00]));pres(n,:)=pres(n,:)-1.4;
n=find (jday>julian ([2013 5 1  4+4 03 00]));pres(n,:)=pres(n,:)+.55;
n=find (jday>julian ([2013 4 30 0+4 08 00]));pres(n,:)=pres(n,:)+1.75;
n=find (jday>julian ([2013 4 30 8+4 48 00]));pres(n,:)=pres(n,:)-2;
n=find (jday>julian([2013 4 30 0+4 42 0])); pres(n(1):n(1)+484)=nan;

n=find (jday>julian ([2013 4 29 9+4 42 00]));pres(n,:)=pres(n,:)-.75;
n=find (jday==julian ([2013 4 29 9+4 42 00]));pres(n,:)=pres(n,:)+.95;
n=find (jday>julian ([2013 4 27 22+4 13 00]));pres(n,:)=pres(n,:)+.75;

n=find (jday>julian([2013 4 27 22+4 13 0])); pres(n(1):n(1)+580)=nan;
n=find (jday>julian ([2013 4 28 17+4 12 00]));pres(n,:)=pres(n,:)+.36;

% Plot pressure
    h1=plot(jday,pres);
    h=title('South Shore Pressure)');set(h,'fontsize',12)
    grid;gregaxd(jday,1);figure(gcf);
    %preslp=pl66tn(pres-mean(pres),1/600,33);
    %hold on;plot(jday,preslp,'r','linew',2)
    h1=ylabel('Pressure db');%set(h1,'fontw','bold','fonts',14)

%    save tuk3 mooring jday pres temp  ...
%		 depth instdepth latitude longitude SN 
%    print -djpeg -r300 southshoretide3
